import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:string_encryption/string_encryption.dart';

void main() {
  const MethodChannel channel = MethodChannel('string_encryption');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await StringEncryption().encrypt('1', '22'), '42');
  });
}
